## $Id: utils.py 15410 2019-05-15 20:47:48Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the application section.
"""

from kofacustom.nigeria.applicants.utils import NigeriaApplicantsUtils
from waeup.kofa.applicants.workflow import (INITIALIZED,
    STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
from kofacustom.edopoly.interfaces import MessageFactory as _



class ApplicantsUtils(NigeriaApplicantsUtils):
    """A collection of parameters and methods subject to customization.
    """

    APP_TYPES_DICT = {
        'pt': ['Part-Time Degree Programmes', 'PTP'],
        'app': ['General Studies', 'APP'],
        'ase': ['Admission Screening Exercise', 'ASE'], # successor of putme
        'hndft': ['HND Full-Time Programmes', 'HNDFT'],
        'hndpt': ['HND Part-Time Programmes', 'HNDPT'],
        'hndwe': ['HND Weekend Programmes', 'HNDWE'],
        'ndft': ['ND Full-Time Programmes', 'NDFT'],
        'ndpt': ['ND Part-Time Programmes', 'NDPT'],
        'ndwe': ['ND Weekend Programmes', 'NDWE'],
        'pre': ['Pre-Degree Studies', 'PRE'],
        'ct': ['Certificate Programmes', 'CT'],
        'special': ['Supplementary Payment', 'SP'],
        'hnde': ['HND Part-Time Evening Programmes', 'HNDE'],
        'nde': ['ND Part-Time Evening Programmes', 'NDE'],
        }

    SEPARATORS_DICT = {
        'form.applicant_id': _(u'Base Data'),
        'form.course1': _(u'Programmes/Courses Desired'),
        'form.hq_type': _(u'Higher Education Record'),
        'form.presently': _(u'Course or Programme Presently Attending'),
        'form.nysc_year': _(u'NYSC Information'),
        'form.employer': _(u'Employment History'),
        'form.jamb_subjects': _(u'JAMB Data'),
        'form.notice': _(u'Application Process Information'),
        'form.pp_school': _(u'Post Primary School Qualification'),
        'form.presently_inst': _(u'Presently attending a course or programme'),
        'form.olevel_type': _(u"'O' Level Records"),
        }
